Public Member Functions
PassContainer Class Reference

## Detailed Description

The PassContainer object represents the pass container object found in the scene. The pass container holds all the render passes in the scene, the global render options and individual render options for all installed rendering engines.

See also:
  Pass

Since:
  6.0

`#include <xsi_passcontainer.h>`

Inheritance diagram for PassContainer:
[legend]

List of all members.

## Public Member Functions
| PassContainer ()
| ~PassContainer ()
| PassContainer (const CRef &in_ref)
| PassContainer (const PassContainer &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
PassContainer & | operator= (const PassContainer &in_obj)
PassContainer & | operator= (const CRef &in_ref)
CRefArray | GetPasses () const
CRefArray | GetProperties () const
Pass | AddPass (const CString &in_preset, const CString &in_name)
Property | AddProperty (const CString &in_preset, bool in_bBranch=false, const CString &in_name=CString())
CStatus | AddCustomProperty (const CString &in_name, bool in_bBranch, CustomProperty &out_customprop)

## Constructor & Destructor Documentation

PassContainer | ( |  | ) |

Default constructor.

~PassContainer | ( |  | ) |

Default destructor.

PassContainer | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

PassContainer | ( | const PassContainer & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from ProjectItem.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from ProjectItem.

PassContainer& operator= | ( | const PassContainer & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new PassContainer object.

PassContainer& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new PassContainer object.

Reimplemented from ProjectItem.

CRefArray GetPasses | ( |  | ) | const

Returns all passes associated with the scene.

Returns:
  An array of references to the Pass objects.

See also:
  Scene::GetActivePass PassContainer::AddPass Scene::GetPasses Scene::GetPassContainer
  Pass GetCurrentPass CreatePass DeleteCurrentPass

CRefArray GetProperties | ( |  | ) | const

Returns all applied properties on the pass container.

Note:
  All properties on the PassContainer are local properties, since it doesn't inherit any. Hence there is no corresponding GetLocalProperties member function for the PassContainer class.

Returns:
  Array of references to Property objects.

Pass AddPass | ( | const CString & | in_preset,
|  | const CString & | in_name
| ) |  |

Creates and adds a new Pass to the scene.

Parameters:

  in_preset | Name of a PassPresets pass preset to apply to the new pass. The pass preset is optional. If no pass preset is supplied then a default, empty pass is created and added.
  in_name | The name of the new Pass object.

Returns:
  The new Pass object.

See also:
  Scene::GetActivePass Scene::GetPassContainer Pass PassContainer
  GetCurrentPass CreatePass DeleteCurrentPass

Property AddProperty | ( | const CString & | in_preset,
|  | bool | in_bBranch = `false`,
|  | const CString & | in_name = `CString()`
| ) |  |

Creates and adds a property to a PassContainer object.

Parameters:

  in_preset | This argument contains the filename or full path to a Preset file (see the PassPresets list of available pass presets ). The type of property that is created is determined by this argument. For example `"CustomProperty"` creates an empty CustomProperty and `"UserDataMap"` creates a UserDataMap. Is is also possible to specify the name of a CustomProperty that is installed as a PluginItem.
  in_bBranch | True to apply property in branch; false to apply it on the node of the pass container.
  in_name | The name of the new Property object (see SIObject::GetName). If not specified the name is derived from the `in_preset` argument.

Returns:
  The new Property object.

See also:
  PassContainer::AddCustomProperty, PassContainer::GetProperties, CustomProperty, UserDataMap, UserDataBlob, PluginRegistrar::RegisterProperty

CStatus AddCustomProperty | ( | const CString & | in_name,
|  | bool | in_bBranch,
|  | CustomProperty & | out_customprop
| ) |  |

Creates and adds an empty CustomProperty to a PassContainer object.

Parameters:

  in_name | Represents the name of the new CustomProperty object.
  in_bBranch | True to apply property in branch; false to apply it on the node of the pass container.

Return values:

  out_customprop | Returns the new property.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

See also:
  PassContainer::AddProperty CustomProperty

The documentation for this class was generated from the following file:

- xsi_passcontainer.h